GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions
gdcm::ImageReader Class Reference

ImageReader. More...

`#include <gdcmImageReader.h>`

Inheritance diagram for gdcm::ImageReader:
[legend]
Collaboration diagram for gdcm::ImageReader:
[legend]

List of all members.

## Public Member Functions

| ImageReader ()
virtual | ~ImageReader ()
const Image & | GetImage () const
| Return the read image.
Image & | GetImage ()
virtual bool | Read ()

## Protected Member Functions

bool | ReadACRNEMAImage ()
bool | ReadImage (MediaStorage const &ms)

## Detailed Description

ImageReader.

Note:
  its role is to convert the DICOM DataSet into a gdcm::Image representation Image is different from Pixmap has it has a position and a direction in Space.

See also:
  Image

Examples:
  CheckBigEndianBug.cxx, CompressImage.cxx, ConvertToQImage.cxx, ExtractIconFromFile.cxx, FixBrokenJ2K.cxx, FixJAIBugJPEGLS.cxx, GetJPEGSamplePrecision.cxx, HelloVizWorld.cxx, MergeTwoFiles.cxx, MrProtocol.cxx, PatchFile.cxx, ReadMultiTimesException.cxx, and threadgdcm.cxx.

## Constructor & Destructor Documentation

gdcm::ImageReader::ImageReader | ( |  | ) |

virtual gdcm::ImageReader::~ImageReader | ( |  | ) | `[virtual]`

## Member Function Documentation

const Image& gdcm::ImageReader::GetImage | ( |  | ) | const

Return the read image.

Examples:
  CompressImage.cxx, ConvertToQImage.cxx, ExtractIconFromFile.cxx, FixJAIBugJPEGLS.cxx, GetJPEGSamplePrecision.cxx, HelloVizWorld.cxx, MergeTwoFiles.cxx, PatchFile.cxx, ReadMultiTimesException.cxx, and threadgdcm.cxx.

Image& gdcm::ImageReader::GetImage | ( |  | ) |

virtual bool gdcm::ImageReader::Read | ( |  | ) | `[virtual]`

Read the DICOM image. There are two reason for failure:

1. The input filename is not DICOM
2. The input DICOM file does not contains an Image.

Reimplemented from gdcm::PixmapReader.

Examples:
  CheckBigEndianBug.cxx, CompressImage.cxx, ConvertToQImage.cxx, ExtractIconFromFile.cxx, FixBrokenJ2K.cxx, FixJAIBugJPEGLS.cxx, GetJPEGSamplePrecision.cxx, HelloVizWorld.cxx, MergeTwoFiles.cxx, MrProtocol.cxx, PatchFile.cxx, ReadMultiTimesException.cxx, and threadgdcm.cxx.

bool gdcm::ImageReader::ReadACRNEMAImage | ( |  | ) | `[protected, virtual]`

Reimplemented from gdcm::PixmapReader.

bool gdcm::ImageReader::ReadImage | ( | MediaStorage const & | ms | ) | `[protected, virtual]`

Reimplemented from gdcm::PixmapReader.

The documentation for this class was generated from the following file:

- gdcmImageReader.h